INTRODUCTION
------------

This module provides [Digital Campus Framework](https://github.com/d-c-n/dcf) (DCF), CSS-grid-based layouts for core's *Layout Discovery*, which can be used in *Layout Builder*. Four layouts are provided: 1) One column (DCF), 2) Two column (DCF), 3) Three column (DCF), and 4) Four column (DCF).

The following configuration options are available for layouts:

  - Column widths
    - The column width configuration (e.g. 50%/50%, 33%/67%)
  - Title (optional)
    - The displayed title of the Layout Builder section
  - Title classes (optional)
    - Classes to be applied to the section title (list provided by DCF Classes)
  - Section style packages (optional)
    - Pre-defined groupings of classes to be applied to a Layout Builder section (list provided by DCF Classes)
  - Section classes (optional)
    - Classes to be applied to a Layout Builder section (list provided by DCF Classes)
    - Overridden by Section style packages
  - Block margin (optional)
    - The amount of vertical margin between each block in Layout Builder regions for a given layout

REQUIREMENTS
------------

This module requires the following modules/libraries:
  * Layout Discovery (included in Drupal core)
  * DCF Classes (included in this project)
  * [Digital Campus Framework](https://github.com/d-c-n/dcf) (DCF)

INSTALLATION
------------

Install as you would normally install a contributed Drupal module. Visit:
[https://www.drupal.org/docs/8/extending-drupal-8/installing-drupal-8-modules](https://www.drupal.org/docs/8/extending-drupal-8/installing-drupal-8-modules)
for further information.

USAGE
-------------

  * Use DCF layouts anywhere a layout can be used.
